#include <bits/stdc++.h>
using namespace std;
int main()
{
ios::sync_with_stdio(false);
cin.tie(0);
    int n,m;
    cin >> n >> m;
    long long a[n],b[n],c[m],d[m];
    for(int i=0;i<n;++i){
        cin>>a[i]>>b[i];
    }
    for(int i=0;i<m;++i){
        cin>>c[i]>>d[i];
    }
    if(n==1){
    vector<long long> mx(m);
    int x = b[i];
    for(int i=0;i<m;++i){
        mx[i] = c[i];
        x-=c[i];
    }
    for(int i=0;i<m;++i){
        cout << 1 << ' ' << i+1 << ' ' << mx[i] << '\n';
        }
    }
    else{
        long long mx[n][m];
        for(int i=0;i<n;++i){
            long long x = b[i];
            for(int j=1;j<m;++j){
                if(d[j]!=0){
                    mx[i][j] = 1;
                    x-=1;
                }
            }
            b[i][0] = x; 
        }
        for(int i=0;i<n;++i){
            for(int j=0;j<m;++j){
                if(a[i][j]!=0){
                    cout << i+1 << ' ' << j + 1 << ' ' << a[i][j] << ' '; 
                    }
                }
            cout << '\n';
            }
        }
    return 0;

}